
// demoBeforeLoginDlg.h : 头文件
//

#pragma once
#include "afxwin.h"

// CdemoBeforeLoginDlg 对话框
class CdemoBeforeLoginDlg : public CDialogEx
{
// 构造
public:
    explicit CdemoBeforeLoginDlg(CWnd* pParent = NULL);    // 标准构造函数
    ~CdemoBeforeLoginDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_BEFORE_LOGIN_DIALOG };
#endif

    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持


// 实现
protected:
    HICON m_hIcon;

    // 生成的消息映射函数
    virtual BOOL OnInitDialog();
    afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
    afx_msg void OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    virtual BOOL PreTranslateMessage(MSG* pMsg);
    DECLARE_MESSAGE_MAP()

public:
    CEdit m_editOutput;

public:
    int Init();
    afx_msg LRESULT loginCallBack(WPARAM wParam, LPARAM lParam);
    afx_msg void OnBnClickedButtonInit();
    afx_msg void OnBnClickedButtonJumpLoginDlg();
    afx_msg void OnBnClickedJoinConfAnonymous();
    afx_msg void OnBnClickedButtonGoProxy();
    afx_msg void OnBnClickedButtonGoNetworkMode();
    afx_msg void OnBnClickedButtonExit();
    afx_msg void OnBnClickedButtonSetServer();
    afx_msg void OnBnClickedJoinConfByLink();
    afx_msg void OnBnClickedButtonSeeting();
    afx_msg void OnBnClickedButtonConfCtrl();
    afx_msg void OnBnClickedButtonGoLoginByAppid();
    void UpdateOutput();
    afx_msg void OnBnClickedGetUserState();
    afx_msg void OnBnClickedButtonLoginBySso();
    afx_msg void OnBnClickedButtonSetGuaranteedIp();
    afx_msg void OnBnClickedSetCaVerifyInfo();
    afx_msg void OnBnClickedButtonSetGlobalGuaranteedIp();
    afx_msg void OnBnClickedGetLoginState();
};
